<?php
// 簡単モリタポAPI エラーメッセージ集
/*
簡単モリタポAPI ERR値一覧
000　　-- 正常
101　　-- servicer値に対するモリタポ決済用秘密鍵設定無し(ブランク)
102　　-- servicer値が登録されてないアカウント
103　　 -- servicer値がメールアドレスとして不正な書式
104　　 -- servicerへの振り込みエラー
201　　 -- amount値の設定無し
202　　 -- amount値が0
203　　 -- amount値がマイナス
204　　 -- amount値が整数値でない
301　　 -- パラメーターエラー
302　　 -- 確認キーが設定されていない(はい/いいえ時)
303　　 -- 確認キーが違う(はい/いいえ時)
304　　 -- SERVICER値の設定無し
305　　 -- RET_URL値の設定無し
306　　 -- UNIQUEKEY値の設定無し
307　　 -- ERRDISP値の設定無し
308　　 -- 処理開始時の設定無し
401　　 -- モリタポ残高不足
402　　 -- モリタポ側でタイムアウト
501　　 -- モリタポがメンテナンス中などの理由により、使用不可
502　　 -- モリタポ側の内部エラー
901　　 -- ユーザが支払いキャンセル(「支払いを認めますか?」で"いいえ")
*/

$gMoritapoErrors=array(
'000' => '正常',
'101' => 'モリタポ決済用秘密鍵が設定されていません。',
'102' => 'サービサー登録がされていません。',
'103' => 'サービサー値が不正な書式です。',
'104' => 'サービサーへの振り込みエラーです。',
'201' => 'モリタポ数が設定されていません。',
'202' => 'モリタポ数が0です。',
'203' => 'モリタポ数がマイナス値です。',
'204' => 'モリタオ数が整数値ではありません。',
'301' => 'パラメーターエラー',
'302' => '確認キーが設定されていません。',
'303' => '確認キーが違います。',
'304' => 'SERVICER値が設定されていません。',
'305' => 'RET_URL値が設定されていません。',
'306' => 'UNIQUEKEY値が設定されていません。',
'307' => 'ERRDISP値が設定されていません。',
'308' => '処理開始時が設定されていません。',
'401' => 'モリタポの残高が不足しています。',
'402' => 'モリタポ決済処理中にタイムアウトしました。',
'501' => 'モリタポ決済処理がメンテナンス中のため利用できません。',
'502' => 'モリタポ決済エラー',
'901' => '支払いがキャンセルされました。'
);

?>
