<?php
/* $Id: $
*/
header("Last-Modified: " . gmdate( "D, d M Y H:i:s") . ' GMT');
header("Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, false");
$stats = stat( $_SERVER['SCRIPT_FILENAME'] );
$etag = sprintf( '"%x-%x-%x"', $stats['ino'], $stats['size'], $stats['mtime'] );
header('ETag: ' . $etag);

require_once($gSys['dir']['lib'].'func/sanitize.func.php');

// セッション
session_cache_limiter('private');
session_cache_expire($gSys['config']['session_cookie_expire_min']);
session_set_cookie_params($gSys['config']['session_cookie_lifetime_sec']);
session_name('session');
session_start('session');

// サニタイズ & まとめ
$in =& sanitize_all_input();
// default module set
if(empty($in[control][command]))
	$in[control][command]='null';
if(empty($in[control][option]))
	$in[control][option]='null';

// 初期値格納
$gSys['in']=&$in;

// php4で存在しない関数を
if(!function_exists ('file_put_contents'))
	require_once($gSys['dir']['lib'].'func/file_put_contents.func.php');


// バッチ処理
require_once($gSys['dir']['lib'].'func/batch.func.php');
batchAll();

?>